abclinuxu.cz AbcLinuxu.cz itbiz.cz ITBiz.cz HDmag.cz HDmag.cz abcprace.cz AbcPráce.cz
AbcLinuxu hledá autory!
Inzerujte na AbcPráce.cz od 950 Kč
Rozšířené hledání
×
eParkomat, startup z ČR, postoupil mezi finalisty evropského akcelerátoru ChallengeUp!
Robot na pivo mu otevřel dveře k opravdovému byznysu
Internet věcí: Propojený svět? Už se to blíží...
dnes 11:30 | Komunita

Bylo oznámeno, že bude proveden bezpečnostní audit zdrojových kódů open source softwaru pro implementaci virtuálních privátních sítí OpenVPN. Audit provede Matthew D. Green (blog), uznávaný kryptolog a profesor na Univerzitě Johnse Hopkinse. Auditována bude verze 2.4 (aktuálně RC 1, stabilní verze je 2.3.14). Audit bude financován společností Private Internet Access [reddit].

Ladislav Hagara | Komentářů: 0
dnes 06:00 | Komunita

Na YouTube byl publikován Blender Institute Reel 2016, ani ne dvouminutový sestřih z filmů, které vznikly za posledních 10 let díky Blender Institutu. V institutu aktuálně pracují na novém filmu Agent 327. Dění kolem filmu lze sledovat na Blender Cloudu. Videoukázka Agenta 327 z června letošního roku na YouTube.

Ladislav Hagara | Komentářů: 0
dnes 01:02 | Zajímavý článek

Minulý týden byly vydány verze 1.2.3 a 1.1.7 webového poštovního klienta Roundcube. V oznámení o vydání bylo zmíněno řešení bezpečnostního problému nalezeného společností RIPS a souvisejícího s voláním funkce mail() v PHP. Tento týden byly zveřejněny podrobnosti. Útočník mohl pomocí speciálně připraveného emailu spustit na serveru libovolný příkaz. Stejně, jak je popsáno v článku Exploit PHP’s mail() to get remote code execution z roku 2014.

Ladislav Hagara | Komentářů: 1
včera 16:00 | Nová verze

Byla vydána verze 0.98 svobodného nelineárního video editoru Pitivi. Z novinek lze zmínit například přizpůsobitelné klávesové zkratky. Videoukázka práce s nejnovější verzí Pitivi na YouTube.

Ladislav Hagara | Komentářů: 1
včera 15:00 | Zajímavý software

Stop motion je technika animace, při níž je reálný objekt mezi jednotlivými snímky ručně upravován a posouván o malé úseky, tak aby po spojení vyvolala animace dojem spojitosti. Jaký software lze pro stop motion použít na Linuxu? Článek na OMG! Ubuntu! představuje Heron Animation. Ten bohužel podporuje pouze webové kamery. Podpora digitálních zrcadlovek je začleněna například v programu qStopMotion.

Ladislav Hagara | Komentářů: 3
7.12. 21:21 | Nová verze Ladislav Hagara | Komentářů: 0
7.12. 11:44 | Zajímavý projekt

Na Indiegogo byla spuštěna kampaň na podporu herní mini konzole a multimediálního centra RetroEngine Sigma od Doyodo. Předobjednat ji lze již od 49 dolarů. Požadovaná částka 20 000 dolarů byla překonána již 6 krát. Majitelé mini konzole si budou moci zahrát hry pro Atari VCS 2600, Sega Genesis nebo NES. Předinstalováno bude multimediální centrum Kodi.

Ladislav Hagara | Komentářů: 2
7.12. 00:10 | Nová verze

Byla vydána verze 4.7 redakčního systému WordPress. Kódové označením Vaughan bylo vybráno na počest americké jazzové zpěvačky Sarah "Sassy" Vaughan. Z novinek lze zmínit například novou výchozí šablonu Twenty Seventeen, náhledy pdf souborů nebo WordPress REST API.

Ladislav Hagara | Komentářů: 10
6.12. 12:00 | Zajímavý projekt

Projekt Termbox umožňuje vyzkoušet si linuxové distribuce Ubuntu, Debian, Fedora, CentOS a Arch Linux ve webovém prohlížeči. Řešení je postaveno na projektu HyperContainer. Podrobnosti v často kladených dotazech (FAQ). Zdrojové kódy jsou k dispozici na GitHubu [reddit].

Ladislav Hagara | Komentářů: 27
6.12. 11:00 | Bezpečnostní upozornění

Byly zveřejněny informace o bezpečnostní chybě CVE-2016-8655 v Linuxu zneužitelné k lokální eskalaci práv. Chyba se dostala do linuxového jádra v srpnu 2011. V upstreamu byla opravena minulý týden [Hacker News].

Ladislav Hagara | Komentářů: 2
Kolik máte dat ve svém domovském adresáři na svém primárním osobním počítači?
 (32%)
 (24%)
 (29%)
 (7%)
 (5%)
 (3%)
Celkem 801 hlasů
 Komentářů: 50, poslední 29.11. 15:50
Rozcestník
Reklama

Dotaz: CENTOS yum install kernel-headers nefunguje

2.12.2015 21:50 Bill Gates
CENTOS yum install kernel-headers nefunguje
Přečteno: 568×
Kluci zlatí linuxoví prosím poraďte. Jsem debianista, nemám s debianem problém a mám nainstalovat virtualbox na CentOS. Teda jako hůř vyladěný systém jsem neviděl, to bych tedy od RedHatu nečekal. Tisíckrát víc úkonů musí človek udělat aby dosáhl téhož, čeho na debianu jednim apt-getem.

Tak tedy konec stížností.. o co jde:

Instaluji virtualbox, dostal jsem se do fáze
/etc/init.d/vboxdrv setup
Stopping VirtualBox kernel modules                         [  OK  ]
Uninstalling old VirtualBox DKMS kernel modules            [  OK  ]
Trying to register the VirtualBox kernel modules using DKMSError! echo
Your kernel headers for kernel 2.6.32-220.el6.x86_64 cannot be found at
/lib/modules/2.6.32-220.el6.x86_64/build or /lib/modules/2.6.32-220.el6.x86_64/source.
                                                           [FAILED]
  (Failed, trying without DKMS)
Recompiling VirtualBox kernel modules                      [FAILED]
  (Look at /var/log/vbox-install.log to find out what went wrong)
cat /var/log/vbox-install.log 
Uninstalling modules from DKMS
  removing old DKMS module vboxhost version  4.1.44

------------------------------
Deleting module version: 4.1.44
completely from the DKMS tree.
------------------------------
Done.
Attempting to install using DKMS

Creating symlink /var/lib/dkms/vboxhost/4.1.44/source ->
                 /usr/src/vboxhost-4.1.44

DKMS: add completed.
Failed to install using DKMS, attempting to install without
Makefile:190: *** Error: unable to find the include directory for your current Linux kernel. Specify KERN_INCL=<directory> and run Make again.  Stop.
yum install kernel-headers
Loaded plugins: fastestmirror, priorities
Loading mirror speeds from cached hostfile
 * base: merlin.fit.vutbr.cz
 * epel: mirrors.n-ix.net
 * extras: merlin.fit.vutbr.cz
 * rpmforge: merlin.fit.vutbr.cz
 * updates: merlin.fit.vutbr.cz
Setting up Install Process
Package kernel-headers-2.6.32-573.8.1.el6.x86_64 already installed and latest version
Nothing to do
yum install kernel-headers-$(uname -r)
Loaded plugins: fastestmirror, priorities
Loading mirror speeds from cached hostfile
 * base: merlin.fit.vutbr.cz
 * epel: mirrors.netix.net
 * extras: merlin.fit.vutbr.cz
 * rpmforge: merlin.fit.vutbr.cz
 * updates: merlin.fit.vutbr.cz
Setting up Install Process
No package kernel-headers-2.6.32-220.el6.x86_64 available.
Error: Nothing to do
wget ftp://ftp.pbone.net/mirror/ftp.scientificlinux.org/linux/scientific/6.0/x86_64/updates/security/kernel-headers-2.6.32-220.el6.x86_64.rpm
rpm -i kernel-headers-2.6.32-220.el6.x86_64.rpm 
warning: kernel-headers-2.6.32-220.el6.x86_64.rpm: Header V4 DSA/SHA1 Signature, key ID 192a7d7d: NOKEY
	package kernel-headers-2.6.32-573.8.1.el6.x86_64 (which is newer than kernel-headers-2.6.32-220.el6.x86_64) is already installed
	file /usr/include/asm-generic/errno.h from install of kernel-headers-2.6.32-220.el6.x86_64 conflicts with file from package kernel-headers-2.6.32-573.8.1.el6.x86_64
	file /usr/include/asm-generic/mman-common.h from install of kernel-headers-2.6.32-220.el6.x86_64 conflicts with file from package kernel-headers-2.6.32-573.8.1.el6.x86_64
	file /usr/include/asm-generic/poll.h from install of kernel-headers-2.6.32-220.el6.x86_64 conflicts with file from package kernel-headers-2.6.32-573.8.1.el6.x86_64
	file /usr/include/asm-generic/socket.h from install of kernel-headers-2.6.32-220.el6.x86_64 conflicts with file from package kernel-headers-2.6.32-573.8.1.el6.x86_64
	file /usr/include/linux/sockios.h from install of kernel-headers-2.6.32-220.el6.x86_64 conflicts with file from package kernel-headers-2.6.32-573.8.1.el6.x86_64
	file /usr/include/asm-generic/types.h from install of kernel-headers-2.6.32-220.el6.x86_64 conflicts with file from package kernel-headers-2.6.32-573.8.1.el6.x86_64
	file /usr/include/asm/types.h from install of kernel-headers-2.6.32-220.el6.x86_64 conflicts with file from package kernel-headers-2.6.32-573.8.1.el6.x86_64
	file /usr/include/linux/types.h from install of kernel-headers-2.6.32-220.el6.x86_64 conflicts with file from package kernel-headers-2.6.32-573.8.1.el6.x86_64
	file /usr/include/asm-generic/unistd.h from install of kernel-headers-2.6.32-220.el6.x86_64 conflicts with file from package kernel-headers-2.6.32-573.8.1.el6.x86_64
	file /usr/include/asm/e820.h from install of kernel-headers-2.6.32-220.el6.x86_64 conflicts with file from package kernel-headers-2.6.32-573.8.1.el6.x86_64
	file /usr/include/asm/kvm.h from install of kernel-headers-2.6.32-220.el6.x86_64 conflicts with file from package kernel-headers-2.6.32-573.8.1.el6.x86_64
	file /usr/include/linux/kvm.h from install of kernel-headers-2.6.32-220.el6.x86_64 conflicts with file from package kernel-headers-2.6.32-573.8.1.el6.x86_64
	file /usr/include/asm/kvm_para.h from install of kernel-headers-2.6.32-220.el6.x86_64 conflicts with file from package kernel-headers-2.6.32-573.8.1.el6.x86_64
	file /usr/include/asm/ldt.h from install of kernel-headers-2.6.32-220.el6.x86_64 conflicts with file from package kernel-headers-2.6.32-573.8.1.el6.x86_64
	file /usr/include/asm/mce.h from install of kernel-headers-2.6.32-220.el6.x86_64 conflicts with file from package kernel-headers-2.6.32-573.8.1.el6.x86_64
	file /usr/include/asm/msr-index.h from install of kernel-headers-2.6.32-220.el6.x86_64 conflicts with file from package kernel-headers-2.6.32-573.8.1.el6.x86_64
	file /usr/include/linux/prctl.h from install of kernel-headers-2.6.32-220.el6.x86_64 conflicts with file from package kernel-headers-2.6.32-573.8.1.el6.x86_64
	file /usr/include/asm/processor-flags.h from install of kernel-headers-2.6.32-220.el6.x86_64 conflicts with file from package kernel-headers-2.6.32-573.8.1.el6.x86_64
	file /usr/include/asm/unistd_32.h from install of kernel-headers-2.6.32-220.el6.x86_64 conflicts with file from package kernel-headers-2.6.32-573.8.1.el6.x86_64
	file /usr/include/asm/unistd_64.h from install of kernel-headers-2.6.32-220.el6.x86_64 conflicts with file from package kernel-headers-2.6.32-573.8.1.el6.x86_64
	file /usr/include/drm/drm.h from install of kernel-headers-2.6.32-220.el6.x86_64 conflicts with file from package kernel-headers-2.6.32-573.8.1.el6.x86_64
	file /usr/include/drm/drm_mode.h from install of kernel-headers-2.6.32-220.el6.x86_64 conflicts with file from package kernel-headers-2.6.32-573.8.1.el6.x86_64
	file /usr/include/drm/drm_sarea.h from install of kernel-headers-2.6.32-220.el6.x86_64 conflicts with file from package kernel-headers-2.6.32-573.8.1.el6.x86_64
	file /usr/include/drm/i915_drm.h from install of kernel-headers-2.6.32-220.el6.x86_64 conflicts with file from package kernel-headers-2.6.32-573.8.1.el6.x86_64
	file /usr/include/drm/mga_drm.h from install of kernel-headers-2.6.32-220.el6.x86_64 conflicts with file from package kernel-headers-2.6.32-573.8.1.el6.x86_64
	file /usr/include/drm/nouveau_drm.h from install of kernel-headers-2.6.32-220.el6.x86_64 conflicts with file from package kernel-headers-2.6.32-573.8.1.el6.x86_64
	file /usr/include/drm/radeon_drm.h from install of kernel-headers-2.6.32-220.el6.x86_64 conflicts with file from package kernel-headers-2.6.32-573.8.1.el6.x86_64
	file /usr/include/drm/sis_drm.h from install of kernel-headers-2.6.32-220.el6.x86_64 conflicts with file from package kernel-headers-2.6.32-573.8.1.el6.x86_64
	file /usr/include/drm/via_drm.h from install of kernel-headers-2.6.32-220.el6.x86_64 conflicts with file from package kernel-headers-2.6.32-573.8.1.el6.x86_64
	file /usr/include/linux/audit.h from install of kernel-headers-2.6.32-220.el6.x86_64 conflicts with file from package kernel-headers-2.6.32-573.8.1.el6.x86_64
	file /usr/include/linux/blk_types.h from install of kernel-headers-2.6.32-220.el6.x86_64 conflicts with file from package kernel-headers-2.6.32-573.8.1.el6.x86_64
	file /usr/include/linux/netlink.h from install of kernel-headers-2.6.32-220.el6.x86_64 conflicts with file from package kernel-headers-2.6.32-573.8.1.el6.x86_64
	file /usr/include/linux/connector.h from install of kernel-headers-2.6.32-220.el6.x86_64 conflicts with file from package kernel-headers-2.6.32-573.8.1.el6.x86_64
	file /usr/include/linux/dcbnl.h from install of kernel-headers-2.6.32-220.el6.x86_64 conflicts with file from package kernel-headers-2.6.32-573.8.1.el6.x86_64
	file /usr/include/linux/dm-ioctl.h from install of kernel-headers-2.6.32-220.el6.x86_64 conflicts with file from package kernel-headers-2.6.32-573.8.1.el6.x86_64
	file /usr/include/linux/dm-log-userspace.h from install of kernel-headers-2.6.32-220.el6.x86_64 conflicts with file from package kernel-headers-2.6.32-573.8.1.el6.x86_64
	file /usr/include/linux/usb/audio.h from install of kernel-headers-2.6.32-220.el6.x86_64 conflicts with file from package kernel-headers-2.6.32-573.8.1.el6.x86_64
	file /usr/include/linux/version.h from install of kernel-headers-2.6.32-220.el6.x86_64 conflicts with file from package kernel-headers-2.6.32-573.8.1.el6.x86_64
	file /usr/include/linux/elf.h from install of kernel-headers-2.6.32-220.el6.x86_64 conflicts with file from package kernel-headers-2.6.32-573.8.1.el6.x86_64
	file /usr/include/linux/ethtool.h from install of kernel-headers-2.6.32-220.el6.x86_64 conflicts with file from package kernel-headers-2.6.32-573.8.1.el6.x86_64
	file /usr/include/linux/ext2_fs.h from install of kernel-headers-2.6.32-220.el6.x86_64 conflicts with file from package kernel-headers-2.6.32-573.8.1.el6.x86_64
	file /usr/include/linux/falloc.h from install of kernel-headers-2.6.32-220.el6.x86_64 conflicts with file from package kernel-headers-2.6.32-573.8.1.el6.x86_64
	file /usr/include/linux/filter.h from install of kernel-headers-2.6.32-220.el6.x86_64 conflicts with file from package kernel-headers-2.6.32-573.8.1.el6.x86_64
	file /usr/include/linux/fs.h from install of kernel-headers-2.6.32-220.el6.x86_64 conflicts with file from package kernel-headers-2.6.32-573.8.1.el6.x86_64
	file /usr/include/linux/fuse.h from install of kernel-headers-2.6.32-220.el6.x86_64 conflicts with file from package kernel-headers-2.6.32-573.8.1.el6.x86_64
	file /usr/include/linux/genetlink.h from install of kernel-headers-2.6.32-220.el6.x86_64 conflicts with file from package kernel-headers-2.6.32-573.8.1.el6.x86_64
	file /usr/include/linux/gfs2_ondisk.h from install of kernel-headers-2.6.32-220.el6.x86_64 conflicts with file from package kernel-headers-2.6.32-573.8.1.el6.x86_64
	file /usr/include/linux/if.h from install of kernel-headers-2.6.32-220.el6.x86_64 conflicts with file from package kernel-headers-2.6.32-573.8.1.el6.x86_64
	file /usr/include/linux/if_bridge.h from install of kernel-headers-2.6.32-220.el6.x86_64 conflicts with file from package kernel-headers-2.6.32-573.8.1.el6.x86_64
	file /usr/include/linux/if_ether.h from install of kernel-headers-2.6.32-220.el6.x86_64 conflicts with file from package kernel-headers-2.6.32-573.8.1.el6.x86_64
	file /usr/include/linux/if_link.h from install of kernel-headers-2.6.32-220.el6.x86_64 conflicts with file from package kernel-headers-2.6.32-573.8.1.el6.x86_64
	file /usr/include/linux/if_packet.h from install of kernel-headers-2.6.32-220.el6.x86_64 conflicts with file from package kernel-headers-2.6.32-573.8.1.el6.x86_64
	file /usr/include/linux/if_vlan.h from install of kernel-headers-2.6.32-220.el6.x86_64 conflicts with file from package kernel-headers-2.6.32-573.8.1.el6.x86_64
	file /usr/include/linux/in.h from install of kernel-headers-2.6.32-220.el6.x86_64 conflicts with file from package kernel-headers-2.6.32-573.8.1.el6.x86_64
	file /usr/include/linux/in6.h from install of kernel-headers-2.6.32-220.el6.x86_64 conflicts with file from package kernel-headers-2.6.32-573.8.1.el6.x86_64
	file /usr/include/linux/input.h from install of kernel-headers-2.6.32-220.el6.x86_64 conflicts with file from package kernel-headers-2.6.32-573.8.1.el6.x86_64
	file /usr/include/linux/ip_vs.h from install of kernel-headers-2.6.32-220.el6.x86_64 conflicts with file from package kernel-headers-2.6.32-573.8.1.el6.x86_64
	file /usr/include/linux/kernel.h from install of kernel-headers-2.6.32-220.el6.x86_64 conflicts with file from package kernel-headers-2.6.32-573.8.1.el6.x86_64
	file /usr/include/linux/keyctl.h from install of kernel-headers-2.6.32-220.el6.x86_64 conflicts with file from package kernel-headers-2.6.32-573.8.1.el6.x86_64
	file /usr/include/linux/loop.h from install of kernel-headers-2.6.32-220.el6.x86_64 conflicts with file from package kernel-headers-2.6.32-573.8.1.el6.x86_64
	file /usr/include/linux/mii.h from install of kernel-headers-2.6.32-220.el6.x86_64 conflicts with file from package kernel-headers-2.6.32-573.8.1.el6.x86_64
	file /usr/include/linux/mroute.h from install of kernel-headers-2.6.32-220.el6.x86_64 conflicts with file from package kernel-headers-2.6.32-573.8.1.el6.x86_64
	file /usr/include/linux/msdos_fs.h from install of kernel-headers-2.6.32-220.el6.x86_64 conflicts with file from package kernel-headers-2.6.32-573.8.1.el6.x86_64
	file /usr/include/linux/mtio.h from install of kernel-headers-2.6.32-220.el6.x86_64 conflicts with file from package kernel-headers-2.6.32-573.8.1.el6.x86_64
	file /usr/include/linux/neighbour.h from install of kernel-headers-2.6.32-220.el6.x86_64 conflicts with file from package kernel-headers-2.6.32-573.8.1.el6.x86_64
	file /usr/include/linux/netdevice.h from install of kernel-headers-2.6.32-220.el6.x86_64 conflicts with file from package kernel-headers-2.6.32-573.8.1.el6.x86_64
	file /usr/include/linux/netfilter.h from install of kernel-headers-2.6.32-220.el6.x86_64 conflicts with file from package kernel-headers-2.6.32-573.8.1.el6.x86_64
	file /usr/include/linux/netfilter/nf_conntrack_tcp.h from install of kernel-headers-2.6.32-220.el6.x86_64 conflicts with file from package kernel-headers-2.6.32-573.8.1.el6.x86_64
	file /usr/include/linux/netfilter/nfnetlink_log.h from install of kernel-headers-2.6.32-220.el6.x86_64 conflicts with file from package kernel-headers-2.6.32-573.8.1.el6.x86_64
	file /usr/include/linux/netfilter/nfnetlink_queue.h from install of kernel-headers-2.6.32-220.el6.x86_64 conflicts with file from package kernel-headers-2.6.32-573.8.1.el6.x86_64
	file /usr/include/linux/netfilter/xt_NFQUEUE.h from install of kernel-headers-2.6.32-220.el6.x86_64 conflicts with file from package kernel-headers-2.6.32-573.8.1.el6.x86_64
	file /usr/include/linux/nfs_fs.h from install of kernel-headers-2.6.32-220.el6.x86_64 conflicts with file from package kernel-headers-2.6.32-573.8.1.el6.x86_64
	file /usr/include/linux/nfsd/export.h from install of kernel-headers-2.6.32-220.el6.x86_64 conflicts with file from package kernel-headers-2.6.32-573.8.1.el6.x86_64
	file /usr/include/linux/nl80211.h from install of kernel-headers-2.6.32-220.el6.x86_64 conflicts with file from package kernel-headers-2.6.32-573.8.1.el6.x86_64
	file /usr/include/linux/pci.h from install of kernel-headers-2.6.32-220.el6.x86_64 conflicts with file from package kernel-headers-2.6.32-573.8.1.el6.x86_64
	file /usr/include/linux/pci_regs.h from install of kernel-headers-2.6.32-220.el6.x86_64 conflicts with file from package kernel-headers-2.6.32-573.8.1.el6.x86_64
	file /usr/include/linux/perf_event.h from install of kernel-headers-2.6.32-220.el6.x86_64 conflicts with file from package kernel-headers-2.6.32-573.8.1.el6.x86_64
	file /usr/include/linux/pfkeyv2.h from install of kernel-headers-2.6.32-220.el6.x86_64 conflicts with file from package kernel-headers-2.6.32-573.8.1.el6.x86_64
	file /usr/include/linux/pkt_sched.h from install of kernel-headers-2.6.32-220.el6.x86_64 conflicts with file from package kernel-headers-2.6.32-573.8.1.el6.x86_64
	file /usr/include/linux/raid/md_p.h from install of kernel-headers-2.6.32-220.el6.x86_64 conflicts with file from package kernel-headers-2.6.32-573.8.1.el6.x86_64
	file /usr/include/linux/raid/md_u.h from install of kernel-headers-2.6.32-220.el6.x86_64 conflicts with file from package kernel-headers-2.6.32-573.8.1.el6.x86_64
	file /usr/include/linux/rtnetlink.h from install of kernel-headers-2.6.32-220.el6.x86_64 conflicts with file from package kernel-headers-2.6.32-573.8.1.el6.x86_64
	file /usr/include/linux/serial_core.h from install of kernel-headers-2.6.32-220.el6.x86_64 conflicts with file from package kernel-headers-2.6.32-573.8.1.el6.x86_64
	file /usr/include/linux/snmp.h from install of kernel-headers-2.6.32-220.el6.x86_64 conflicts with file from package kernel-headers-2.6.32-573.8.1.el6.x86_64
	file /usr/include/linux/sysctl.h from install of kernel-headers-2.6.32-220.el6.x86_64 conflicts with file from package kernel-headers-2.6.32-573.8.1.el6.x86_64
	file /usr/include/linux/tcp.h from install of kernel-headers-2.6.32-220.el6.x86_64 conflicts with file from package kernel-headers-2.6.32-573.8.1.el6.x86_64
	file /usr/include/linux/timex.h from install of kernel-headers-2.6.32-220.el6.x86_64 conflicts with file from package kernel-headers-2.6.32-573.8.1.el6.x86_64
	file /usr/include/linux/uinput.h from install of kernel-headers-2.6.32-220.el6.x86_64 conflicts with file from package kernel-headers-2.6.32-573.8.1.el6.x86_64
	file /usr/include/linux/usb/cdc.h from install of kernel-headers-2.6.32-220.el6.x86_64 conflicts with file from package kernel-headers-2.6.32-573.8.1.el6.x86_64
	file /usr/include/linux/usb/ch9.h from install of kernel-headers-2.6.32-220.el6.x86_64 conflicts with file from package kernel-headers-2.6.32-573.8.1.el6.x86_64
	file /usr/include/linux/usb/gadgetfs.h from install of kernel-headers-2.6.32-220.el6.x86_64 conflicts with file from package kernel-headers-2.6.32-573.8.1.el6.x86_64
	file /usr/include/linux/usbdevice_fs.h from install of kernel-headers-2.6.32-220.el6.x86_64 conflicts with file from package kernel-headers-2.6.32-573.8.1.el6.x86_64
	file /usr/include/linux/virtio_ids.h from install of kernel-headers-2.6.32-220.el6.x86_64 conflicts with file from package kernel-headers-2.6.32-573.8.1.el6.x86_64
	file /usr/include/linux/virtio_net.h from install of kernel-headers-2.6.32-220.el6.x86_64 conflicts with file from package kernel-headers-2.6.32-573.8.1.el6.x86_64
	file /usr/include/linux/wireless.h from install of kernel-headers-2.6.32-220.el6.x86_64 conflicts with file from package kernel-headers-2.6.32-573.8.1.el6.x86_64
	file /usr/include/linux/xfrm.h from install of kernel-headers-2.6.32-220.el6.x86_64 conflicts with file from package kernel-headers-2.6.32-573.8.1.el6.x86_64
	file /usr/include/rdma/ib_user_verbs.h from install of kernel-headers-2.6.32-220.el6.x86_64 conflicts with file from package kernel-headers-2.6.32-573.8.1.el6.x86_64
	file /usr/include/rdma/rdma_user_cm.h from install of kernel-headers-2.6.32-220.el6.x86_64 conflicts with file from package kernel-headers-2.6.32-573.8.1.el6.x86_64
	file /usr/include/sound/asound.h from install of kernel-headers-2.6.32-220.el6.x86_64 conflicts with file from package kernel-headers-2.6.32-573.8.1.el6.x86_64
Proč mi proboha ta redhetí hydra cpe kernel-headers-2.6.32-573.8.1.el6.x86_64 když mám 2.6.32-220.el6.x86_64 a i když si je najdu a stáhnu, tak ječí. Boha jeho to je porod!

Všude na googlu se na to lidi ptají a vždycky je odpověď yum install kernel-headers. No tak dík teda ale tohle jim nefunguje.

Omlouvám se všem redheťákům a jejich přízivcům, ale je to fakt nevyladěný. Na debianu prostě takové porody nezažívám. Možná jsem prostě víc debianista ..

No poradí mi prosím někdo jak tam mám ty headery docpat aby se to nemlátilo s těmi co mi chce distribuce nacpat? Díky. Nebo se naštvu a ten server přeinstalím na debian a bude klid. Je to ale vzdálený server, takže by to bylo poněkud problematické. :(

Odpovědi

vandrovnik avatar 2.12.2015 22:47 vandrovnik | skóre: 15
Rozbalit Rozbalit vše Re: CENTOS yum install kernel-headers nefunguje
A nestačilo by pro jistotu udělat "yum update" a pak nabootovat novější kernel?
2.12.2015 22:52 Bill Gates
Rozbalit Rozbalit vše Re: CENTOS yum install kernel-headers nefunguje
Reboot je trošku problém. Pokud by se podařilo bez rebootu, bylo by to fajn. yum update zkusím. Pokud to bez rebootu nepůjde, je to "back to the widle". Tohle na linuxu přeci neděláme :) Samozřejmě boot do jiného jádra chápu, ale proč? Já chci to stávající které běží a chci k němu headery. Z něčeho to přeci taky museli kompilovat, proč to není v repozitářích? Ale tak pokud se tomu nevyhnu, tak to zítra rebootnu jak bude vhodná doba, nebude-li zbytí.
2.12.2015 22:57 Bill Gates
Rozbalit Rozbalit vše Re: CENTOS yum install kernel-headers nefunguje
Proboha za co...
yum update
Loaded plugins: fastestmirror, priorities
Loading mirror speeds from cached hostfile
epel/metalink                                                                                                                                                                                                                               |  26 kB     00:00     
 * base: merlin.fit.vutbr.cz
 * epel: mirrors.n-ix.net
 * extras: merlin.fit.vutbr.cz
 * rpmforge: merlin.fit.vutbr.cz
 * updates: merlin.fit.vutbr.cz
base                                                                                                                                                                                                                                        | 3.7 kB     00:00     
extras                                                                                                                                                                                                                                      | 3.4 kB     00:00     
rpmforge                                                                                                                                                                                                                                    | 1.9 kB     00:00     
updates                                                                                                                                                                                                                                     | 3.4 kB     00:00     
updates/primary_db                                                                                                                                                                                                                          | 2.6 MB     00:05     
virtualbox/signature                                                                                                                                                                                                                        |  198 B     00:00     
virtualbox/signature                                                                                                                                                                                                                        |  951 B     00:00 ... 
Setting up Update Process
Resolving Dependencies
--> Running transaction check
---> Package at.x86_64 0:3.1.10-44.el6_6.2 will be updated
---> Package at.x86_64 0:3.1.10-48.el6 will be an update
---> Package audit.x86_64 0:2.1.3-3.el6 will be updated
---> Package audit.x86_64 0:2.3.7-5.el6 will be an update
---> Package audit-libs.x86_64 0:2.1.3-3.el6 will be updated
---> Package audit-libs.x86_64 0:2.3.7-5.el6 will be an update
---> Package authconfig.x86_64 0:6.1.12-5.el6 will be updated
---> Package authconfig.x86_64 0:6.1.12-23.el6 will be an update
---> Package b43-openfwwf.noarch 0:5.2-4.el6 will be updated
---> Package b43-openfwwf.noarch 0:5.2-10.el6 will be an update
---> Package bash.x86_64 0:4.1.2-8.el6.centos will be updated
---> Package bash.x86_64 0:4.1.2-33.el6_7.1 will be an update
---> Package bfa-firmware.noarch 0:3.0.0.0-1.el6 will be updated
---> Package bfa-firmware.noarch 0:3.2.23.0-2.el6 will be an update
---> Package boost.x86_64 0:1.41.0-11.el6_1.2 will be updated
---> Package boost.x86_64 0:1.41.0-27.el6 will be an update
---> Package boost-date-time.x86_64 0:1.41.0-11.el6_1.2 will be updated
---> Package boost-date-time.x86_64 0:1.41.0-27.el6 will be an update
---> Package boost-filesystem.x86_64 0:1.41.0-11.el6_1.2 will be updated
---> Package boost-filesystem.x86_64 0:1.41.0-27.el6 will be an update
---> Package boost-graph.x86_64 0:1.41.0-11.el6_1.2 will be updated
---> Package boost-graph.x86_64 0:1.41.0-27.el6 will be an update
---> Package boost-iostreams.x86_64 0:1.41.0-11.el6_1.2 will be updated
---> Package boost-iostreams.x86_64 0:1.41.0-27.el6 will be an update
---> Package boost-program-options.x86_64 0:1.41.0-11.el6_1.2 will be updated
---> Package boost-program-options.x86_64 0:1.41.0-27.el6 will be an update
---> Package boost-python.x86_64 0:1.41.0-11.el6_1.2 will be updated
---> Package boost-python.x86_64 0:1.41.0-27.el6 will be an update
---> Package boost-regex.x86_64 0:1.41.0-11.el6_1.2 will be updated
---> Package boost-regex.x86_64 0:1.41.0-27.el6 will be an update
---> Package boost-serialization.x86_64 0:1.41.0-11.el6_1.2 will be updated
---> Package boost-serialization.x86_64 0:1.41.0-27.el6 will be an update
---> Package boost-signals.x86_64 0:1.41.0-11.el6_1.2 will be updated
---> Package boost-signals.x86_64 0:1.41.0-27.el6 will be an update
---> Package boost-system.x86_64 0:1.41.0-11.el6_1.2 will be updated
---> Package boost-system.x86_64 0:1.41.0-27.el6 will be an update
---> Package boost-test.x86_64 0:1.41.0-11.el6_1.2 will be updated
---> Package boost-test.x86_64 0:1.41.0-27.el6 will be an update
---> Package boost-thread.x86_64 0:1.41.0-11.el6_1.2 will be updated
---> Package boost-thread.x86_64 0:1.41.0-27.el6 will be an update
---> Package boost-wave.x86_64 0:1.41.0-11.el6_1.2 will be updated
---> Package boost-wave.x86_64 0:1.41.0-27.el6 will be an update
---> Package cairo.x86_64 0:1.8.8-3.1.el6 will be updated
---> Package cairo.x86_64 0:1.8.8-6.el6_6 will be an update
---> Package centos-release.x86_64 0:6-2.el6.centos.7 will be updated
---> Package centos-release.x86_64 0:6-7.el6.centos.12.3 will be an update
---> Package chkconfig.x86_64 0:1.3.49.3-2.el6_4.1 will be updated
---> Package chkconfig.x86_64 0:1.3.49.3-5.el6 will be an update
---> Package coreutils.x86_64 0:8.4-16.el6 will be updated
---> Package coreutils.x86_64 0:8.4-37.el6_7.3 will be an update
---> Package coreutils-libs.x86_64 0:8.4-16.el6 will be updated
---> Package coreutils-libs.x86_64 0:8.4-37.el6_7.3 will be an update
---> Package cpio.x86_64 0:2.10-9.el6 will be updated
---> Package cpio.x86_64 0:2.10-12.el6_5 will be an update
---> Package cronie.x86_64 0:1.4.4-7.el6 will be updated
---> Package cronie.x86_64 0:1.4.4-15.el6_7.1 will be an update
---> Package cronie-anacron.x86_64 0:1.4.4-7.el6 will be updated
---> Package cronie-anacron.x86_64 0:1.4.4-15.el6_7.1 will be an update
---> Package cups-libs.x86_64 1:1.4.2-67.el6 will be updated
---> Package cups-libs.x86_64 1:1.4.2-72.el6 will be an update
---> Package curl.x86_64 0:7.19.7-26.el6_1.2 will be updated
---> Package curl.x86_64 0:7.19.7-46.el6 will be an update
---> Package cyrus-sasl.x86_64 0:2.1.23-13.el6 will be updated
---> Package cyrus-sasl.x86_64 0:2.1.23-15.el6_6.2 will be an update
---> Package cyrus-sasl-lib.x86_64 0:2.1.23-13.el6 will be updated
---> Package cyrus-sasl-lib.x86_64 0:2.1.23-15.el6_6.2 will be an update
---> Package dash.x86_64 0:0.5.5.1-3.1.el6 will be updated
---> Package dash.x86_64 0:0.5.5.1-4.el6 will be an update
---> Package db4.x86_64 0:4.7.25-18.el6_4 will be updated
---> Package db4.x86_64 0:4.7.25-20.el6_7 will be an update
---> Package db4-cxx.x86_64 0:4.7.25-18.el6_4 will be updated
---> Package db4-cxx.x86_64 0:4.7.25-20.el6_7 will be an update
---> Package db4-devel.x86_64 0:4.7.25-18.el6_4 will be updated
---> Package db4-devel.x86_64 0:4.7.25-20.el6_7 will be an update
---> Package db4-utils.x86_64 0:4.7.25-18.el6_4 will be updated
---> Package db4-utils.x86_64 0:4.7.25-20.el6_7 will be an update
---> Package dbus.x86_64 1:1.2.24-5.el6_1 will be updated
---> Package dbus.x86_64 1:1.2.24-8.el6_6 will be an update
---> Package dbus-glib.x86_64 0:0.86-5.el6 will be updated
---> Package dbus-glib.x86_64 0:0.86-6.el6 will be an update
---> Package dbus-libs.x86_64 1:1.2.24-5.el6_1 will be updated
---> Package dbus-libs.x86_64 1:1.2.24-8.el6_6 will be an update
---> Package dhclient.x86_64 12:4.1.1-25.P1.el6 will be updated
---> Package dhclient.x86_64 12:4.1.1-49.P1.el6.centos will be an update
---> Package dhcp-common.x86_64 12:4.1.1-25.P1.el6 will be updated
---> Package dhcp-common.x86_64 12:4.1.1-49.P1.el6.centos will be an update
---> Package dracut.noarch 0:004-256.el6 will be updated
---> Package dracut.noarch 0:004-388.el6 will be an update
---> Package dracut-kernel.noarch 0:004-256.el6 will be updated
---> Package dracut-kernel.noarch 0:004-388.el6 will be an update
---> Package e2fsprogs.x86_64 0:1.41.12-11.el6 will be updated
---> Package e2fsprogs.x86_64 0:1.41.12-22.el6 will be an update
---> Package e2fsprogs-libs.x86_64 0:1.41.12-11.el6 will be updated
---> Package e2fsprogs-libs.x86_64 0:1.41.12-22.el6 will be an update
---> Package efibootmgr.x86_64 0:0.5.4-9.el6 will be updated
---> Package efibootmgr.x86_64 0:0.5.4-13.el6 will be an update
---> Package ethtool.x86_64 2:2.6.33-0.3.el6 will be updated
---> Package ethtool.x86_64 2:3.5-6.el6 will be an update
---> Package expat.x86_64 0:2.0.1-9.1.el6 will be updated
---> Package expat.x86_64 0:2.0.1-11.el6_2 will be an update
---> Package firefox.x86_64 0:38.2.0-4.el6.centos will be updated
---> Package firefox.x86_64 0:38.4.0-1.el6.centos will be an update
---> Package flac.x86_64 0:1.2.1-6.1.el6 will be updated
---> Package flac.x86_64 0:1.2.1-7.el6_6 will be an update
---> Package freetype.x86_64 0:2.3.11-14.el6_3.1 will be updated
---> Package freetype.x86_64 0:2.3.11-15.el6_6.1 will be an update
---> Package gawk.x86_64 0:3.1.7-6.el6 will be updated
---> Package gawk.x86_64 0:3.1.7-10.el6_7.3 will be an update
---> Package gdbm.x86_64 0:1.8.0-36.el6 will be updated
---> Package gdbm.x86_64 0:1.8.0-38.el6 will be an update
---> Package gdbm-devel.x86_64 0:1.8.0-36.el6 will be updated
---> Package gdbm-devel.x86_64 0:1.8.0-38.el6 will be an update
---> Package gdk-pixbuf2.x86_64 0:2.24.1-5.el6 will be updated
---> Package gdk-pixbuf2.x86_64 0:2.24.1-6.el6_7 will be an update
---> Package gmp.x86_64 0:4.3.1-7.el6 will be updated
---> Package gmp.x86_64 0:4.3.1-7.el6_2.2 will be an update
---> Package gnupg2.x86_64 0:2.0.14-4.el6 will be updated
---> Package gnupg2.x86_64 0:2.0.14-8.el6 will be an update
---> Package gnutls.x86_64 0:2.8.5-14.el6_5 will be updated
---> Package gnutls.x86_64 0:2.8.5-18.el6 will be an update
---> Package grep.x86_64 0:2.6.3-2.el6 will be updated
---> Package grep.x86_64 0:2.20-3.el6_7.1 will be an update
---> Package grub.x86_64 1:0.97-75.el6 will be updated
---> Package grub.x86_64 1:0.97-94.el6 will be an update
---> Package grubby.x86_64 0:7.0.15-2.el6 will be updated
---> Package grubby.x86_64 0:7.0.15-7.el6 will be an update
---> Package gzip.x86_64 0:1.3.12-18.el6 will be updated
---> Package gzip.x86_64 0:1.3.12-22.el6 will be an update
---> Package hwdata.noarch 0:0.233-7.6.el6 will be updated
---> Package hwdata.noarch 0:0.233-14.1.el6 will be an update
---> Package initscripts.x86_64 0:9.03.27-1.el6.centos will be updated
---> Package initscripts.x86_64 0:9.03.49-1.el6.centos.2 will be an update
---> Package iproute.x86_64 0:2.6.32-17.el6 will be updated
---> Package iproute.x86_64 0:2.6.32-45.el6 will be an update
---> Package iptables.x86_64 0:1.4.7-4.el6 will be updated
---> Package iptables.x86_64 0:1.4.7-16.el6 will be an update
---> Package iptables-ipv6.x86_64 0:1.4.7-4.el6 will be updated
---> Package iptables-ipv6.x86_64 0:1.4.7-16.el6 will be an update
---> Package iputils.x86_64 0:20071127-16.el6 will be updated
---> Package iputils.x86_64 0:20071127-20.el6 will be an update
---> Package jakarta-commons-collections.noarch 0:3.2.1-3.4.el6 will be updated
---> Package jakarta-commons-collections.noarch 0:3.2.1-3.5.el6_7 will be an update
---> Package jasper-libs.x86_64 0:1.900.1-15.el6_1.1 will be updated
---> Package jasper-libs.x86_64 0:1.900.1-16.el6_6.3 will be an update
---> Package java-1.7.0-openjdk.x86_64 1:1.7.0.71-2.5.3.1.el6 will be updated
---> Package java-1.7.0-openjdk.x86_64 1:1.7.0.91-2.6.2.2.el6_7 will be an update
--> Processing Dependency: libpcsclite.so.1()(64bit) for package: 1:java-1.7.0-openjdk-1.7.0.91-2.6.2.2.el6_7.x86_64
--> Processing Dependency: libgconf-2.so.4()(64bit) for package: 1:java-1.7.0-openjdk-1.7.0.91-2.6.2.2.el6_7.x86_64
---> Package jpackage-utils.noarch 0:1.7.5-3.12.el6 will be updated
---> Package jpackage-utils.noarch 0:1.7.5-3.14.el6 will be an update
---> Package kernel.x86_64 0:2.6.32-573.8.1.el6 will be installed
---> Package kernel-firmware.noarch 0:2.6.32-220.el6 will be updated
---> Package kernel-firmware.noarch 0:2.6.32-573.8.1.el6 will be an update
---> Package keyutils-libs.x86_64 0:1.4-3.el6 will be updated
---> Package keyutils-libs.x86_64 0:1.4-5.el6 will be an update
---> Package krb5-libs.x86_64 0:1.9-22.el6 will be updated
---> Package krb5-libs.x86_64 0:1.10.3-42.el6 will be an update
---> Package less.x86_64 0:436-10.el6 will be updated
---> Package less.x86_64 0:436-13.el6 will be an update
---> Package libX11.x86_64 0:1.6.0-2.2.el6 will be updated
---> Package libX11.x86_64 0:1.6.0-6.el6 will be an update
---> Package libX11-common.noarch 0:1.6.0-2.2.el6 will be updated
---> Package libX11-common.noarch 0:1.6.0-6.el6 will be an update
---> Package libXfont.x86_64 0:1.4.5-4.el6_6 will be updated
---> Package libXfont.x86_64 0:1.4.5-5.el6_7 will be an update
---> Package libblkid.x86_64 0:2.17.2-12.4.el6 will be updated
---> Package libblkid.x86_64 0:2.17.2-12.18.el6 will be an update
---> Package libcom_err.x86_64 0:1.41.12-11.el6 will be updated
---> Package libcom_err.x86_64 0:1.41.12-22.el6 will be an update
---> Package libcurl.x86_64 0:7.19.7-26.el6_1.2 will be updated
---> Package libcurl.x86_64 0:7.19.7-46.el6 will be an update
---> Package libdrm.x86_64 0:2.4.25-2.el6 will be updated
---> Package libdrm.x86_64 0:2.4.59-2.el6 will be an update
--> Processing Dependency: libpciaccess.so.0()(64bit) for package: libdrm-2.4.59-2.el6.x86_64
---> Package libgcj.x86_64 0:4.4.7-11.el6 will be updated
---> Package libgcj.x86_64 0:4.4.7-16.el6 will be an update
---> Package libgcrypt.x86_64 0:1.4.5-9.el6 will be updated
---> Package libgcrypt.x86_64 0:1.4.5-11.el6_4 will be an update
---> Package libicu.x86_64 0:4.2.1-9.el6 will be updated
---> Package libicu.x86_64 0:4.2.1-12.el6 will be an update
---> Package libselinux.x86_64 0:2.0.94-5.2.el6 will be updated
---> Package libselinux.x86_64 0:2.0.94-5.8.el6 will be an update
---> Package libselinux-utils.x86_64 0:2.0.94-5.2.el6 will be updated
---> Package libselinux-utils.x86_64 0:2.0.94-5.8.el6 will be an update
---> Package libsemanage.x86_64 0:2.0.43-4.1.el6 will be updated
---> Package libsemanage.x86_64 0:2.0.43-5.1.el6 will be an update
---> Package libss.x86_64 0:1.41.12-11.el6 will be updated
---> Package libss.x86_64 0:1.41.12-22.el6 will be an update
---> Package libssh2.x86_64 0:1.2.2-7.el6_1.1 will be updated
---> Package libssh2.x86_64 0:1.4.2-1.el6_6.1 will be an update
---> Package libuser.x86_64 0:0.56.13-4.el6_0.1 will be updated
---> Package libuser.x86_64 0:0.56.13-8.el6_7 will be an update
---> Package libuuid.x86_64 0:2.17.2-12.4.el6 will be updated
---> Package libuuid.x86_64 0:2.17.2-12.18.el6 will be an update
---> Package libxcb.x86_64 0:1.9.1-2.el6 will be updated
---> Package libxcb.x86_64 0:1.9.1-3.el6 will be an update
---> Package libxml2.x86_64 0:2.7.6-4.el6 will be updated
---> Package libxml2.x86_64 0:2.7.6-20.el6 will be an update
---> Package logrotate.x86_64 0:3.7.8-12.el6_0.1 will be updated
---> Package logrotate.x86_64 0:3.7.8-25.el6_7 will be an update
---> Package mailx.x86_64 0:12.4-7.el6 will be updated
---> Package mailx.x86_64 0:12.4-8.el6_6 will be an update
---> Package mdadm.x86_64 0:3.2.2-9.el6 will be updated
---> Package mdadm.x86_64 0:3.3.2-5.el6 will be an update
---> Package module-init-tools.x86_64 0:3.9-17.el6 will be updated
---> Package module-init-tools.x86_64 0:3.9-25.el6 will be an update
---> Package mysql.x86_64 0:5.1.73-3.el6_5 will be updated
---> Package mysql.x86_64 0:5.1.73-5.el6_6 will be an update
---> Package mysql-libs.x86_64 0:5.1.73-3.el6_5 will be updated
---> Package mysql-libs.x86_64 0:5.1.73-5.el6_6 will be an update
---> Package mysql-server.x86_64 0:5.1.73-3.el6_5 will be updated
---> Package mysql-server.x86_64 0:5.1.73-5.el6_6 will be an update
---> Package ncurses.x86_64 0:5.7-3.20090208.el6 will be updated
---> Package ncurses.x86_64 0:5.7-4.20090207.el6 will be an update
---> Package ncurses-base.x86_64 0:5.7-3.20090208.el6 will be updated
---> Package ncurses-base.x86_64 0:5.7-4.20090207.el6 will be an update
---> Package ncurses-libs.x86_64 0:5.7-3.20090208.el6 will be updated
---> Package ncurses-libs.x86_64 0:5.7-4.20090207.el6 will be an update
---> Package net-tools.x86_64 0:1.60-109.el6 will be updated
---> Package net-tools.x86_64 0:1.60-110.el6_2 will be an update
---> Package nspr.x86_64 0:4.10.8-1.el6_6 will be updated
---> Package nspr.x86_64 0:4.10.8-2.el6_7 will be an update
---> Package nss.x86_64 0:3.19.1-3.el6_6 will be updated
---> Package nss.x86_64 0:3.19.1-5.el6_7 will be an update
---> Package nss-softokn.x86_64 0:3.14.3-22.el6_6 will be updated
---> Package nss-softokn.x86_64 0:3.14.3-23.el6_7 will be an update
---> Package nss-softokn-freebl.x86_64 0:3.14.3-22.el6_6 will be updated
---> Package nss-softokn-freebl.x86_64 0:3.14.3-23.el6_7 will be an update
---> Package nss-sysinit.x86_64 0:3.19.1-3.el6_6 will be updated
---> Package nss-sysinit.x86_64 0:3.19.1-5.el6_7 will be an update
---> Package nss-util.x86_64 0:3.19.1-1.el6_6 will be updated
---> Package nss-util.x86_64 0:3.19.1-2.el6_7 will be an update
---> Package ntp.x86_64 0:4.2.6p5-3.el6.centos will be updated
---> Package ntp.x86_64 0:4.2.6p5-5.el6.centos.2 will be an update
---> Package ntpdate.x86_64 0:4.2.6p5-3.el6.centos will be updated
---> Package ntpdate.x86_64 0:4.2.6p5-5.el6.centos.2 will be an update
---> Package ntsysv.x86_64 0:1.3.49.3-2.el6_4.1 will be updated
---> Package ntsysv.x86_64 0:1.3.49.3-5.el6 will be an update
---> Package openldap.x86_64 0:2.4.23-20.el6 will be updated
---> Package openldap.x86_64 0:2.4.40-7.el6_7 will be an update
--> Processing Dependency: nss-tools for package: openldap-2.4.40-7.el6_7.x86_64
---> Package openssl.x86_64 0:1.0.1e-30.el6_6.4 will be updated
---> Package openssl.x86_64 0:1.0.1e-42.el6 will be an update
---> Package openvpn.x86_64 0:2.3.7-1.el6 will be updated
---> Package openvpn.x86_64 0:2.3.8-1.el6 will be an update
---> Package pam.x86_64 0:1.1.1-10.el6 will be updated
---> Package pam.x86_64 0:1.1.1-20.el6_7.1 will be an update
---> Package passwd.x86_64 0:0.77-4.el6 will be updated
---> Package passwd.x86_64 0:0.77-4.el6_2.2 will be an update
---> Package pciutils-libs.x86_64 0:3.1.4-11.el6 will be updated
---> Package pciutils-libs.x86_64 0:3.1.10-4.el6 will be an update
---> Package pcre.x86_64 0:7.8-3.1.el6 will be updated
---> Package pcre.x86_64 0:7.8-7.el6 will be an update
---> Package pinentry.x86_64 0:0.7.6-6.el6 will be updated
---> Package pinentry.x86_64 0:0.7.6-8.el6 will be an update
---> Package plymouth.x86_64 0:0.8.3-24.el6.centos will be updated
---> Package plymouth.x86_64 0:0.8.3-27.el6.centos.1 will be an update
---> Package plymouth-core-libs.x86_64 0:0.8.3-24.el6.centos will be updated
---> Package plymouth-core-libs.x86_64 0:0.8.3-27.el6.centos.1 will be an update
---> Package plymouth-scripts.x86_64 0:0.8.3-24.el6.centos will be updated
---> Package plymouth-scripts.x86_64 0:0.8.3-27.el6.centos.1 will be an update
---> Package policycoreutils.x86_64 0:2.0.83-19.18.el6 will be updated
---> Package policycoreutils.x86_64 0:2.0.83-24.el6 will be an update
---> Package polkit.x86_64 0:0.96-2.el6_0.1 will be updated
---> Package polkit.x86_64 0:0.96-11.el6 will be an update
---> Package postfix.x86_64 2:2.6.6-2.2.el6_1 will be updated
---> Package postfix.x86_64 2:2.6.6-6.el6_7.1 will be an update
---> Package procps.x86_64 0:3.2.8-21.el6 will be updated
---> Package procps.x86_64 0:3.2.8-34.el6_7 will be an update
---> Package psmisc.x86_64 0:22.6-15.el6_0.1 will be updated
---> Package psmisc.x86_64 0:22.6-19.el6_5 will be an update
---> Package pulseaudio-libs.x86_64 0:0.9.21-17.el6 will be updated
---> Package pulseaudio-libs.x86_64 0:0.9.21-21.el6 will be an update
---> Package python.x86_64 0:2.6.6-29.el6 will be updated
---> Package python.x86_64 0:2.6.6-64.el6 will be an update
---> Package python-libs.x86_64 0:2.6.6-29.el6 will be updated
---> Package python-libs.x86_64 0:2.6.6-64.el6 will be an update
---> Package python-urlgrabber.noarch 0:3.9.1-8.el6 will be updated
---> Package python-urlgrabber.noarch 0:3.9.1-9.el6 will be an update
---> Package ql2400-firmware.noarch 0:5.06.02-1.el6 will be updated
---> Package ql2400-firmware.noarch 0:7.03.00-1.el6_5 will be an update
---> Package ql2500-firmware.noarch 0:5.06.02-1.el6 will be updated
---> Package ql2500-firmware.noarch 0:7.03.00-1.el6_5 will be an update
---> Package qpid-cpp-client.x86_64 0:0.12-6.el6 will be updated
--> Processing Dependency: libqpidclient.so.5()(64bit) for package: matahari-agent-lib-0.4.4-11.el6.x86_64
--> Processing Dependency: libqpidclient.so.5()(64bit) for package: matahari-network-0.4.4-11.el6.x86_64
--> Processing Dependency: libqpidclient.so.5()(64bit) for package: matahari-sysconfig-0.4.4-11.el6.x86_64
--> Processing Dependency: libqpidclient.so.5()(64bit) for package: matahari-service-0.4.4-11.el6.x86_64
--> Processing Dependency: libqpidclient.so.5()(64bit) for package: matahari-host-0.4.4-11.el6.x86_64
--> Processing Dependency: libqpidcommon.so.5()(64bit) for package: matahari-agent-lib-0.4.4-11.el6.x86_64
--> Processing Dependency: libqpidcommon.so.5()(64bit) for package: matahari-network-0.4.4-11.el6.x86_64
--> Processing Dependency: libqpidcommon.so.5()(64bit) for package: matahari-sysconfig-0.4.4-11.el6.x86_64
--> Processing Dependency: libqpidcommon.so.5()(64bit) for package: matahari-service-0.4.4-11.el6.x86_64
--> Processing Dependency: libqpidcommon.so.5()(64bit) for package: matahari-host-0.4.4-11.el6.x86_64
---> Package qpid-cpp-client.x86_64 0:0.14-22.el6_3 will be an update
---> Package qpid-cpp-client-ssl.x86_64 0:0.12-6.el6 will be updated
---> Package qpid-cpp-client-ssl.x86_64 0:0.14-22.el6_3 will be an update
---> Package qpid-cpp-server.x86_64 0:0.12-6.el6 will be updated
---> Package qpid-cpp-server.x86_64 0:0.14-22.el6_3 will be an update
---> Package qpid-cpp-server-ssl.x86_64 0:0.12-6.el6 will be updated
---> Package qpid-cpp-server-ssl.x86_64 0:0.14-22.el6_3 will be an update
---> Package qpid-qmf.x86_64 0:0.12-6.el6 will be updated
---> Package qpid-qmf.x86_64 0:0.14-14.el6_3 will be an update
---> Package readline.x86_64 0:6.0-3.el6 will be updated
---> Package readline.x86_64 0:6.0-4.el6 will be an update
---> Package redhat-logos.noarch 0:60.0.14-10.el6.centos will be updated
---> Package redhat-logos.noarch 0:60.0.14-12.el6.centos will be an update
---> Package rsyslog.x86_64 0:4.6.2-12.el6 will be updated
---> Package rsyslog.x86_64 0:5.8.10-10.el6_6 will be an update
---> Package sed.x86_64 0:4.2.1-7.el6 will be updated
---> Package sed.x86_64 0:4.2.1-10.el6 will be an update
---> Package selinux-policy.noarch 0:3.7.19-126.el6 will be updated
---> Package selinux-policy.noarch 0:3.7.19-279.el6_7.7 will be an update
---> Package selinux-policy-targeted.noarch 0:3.7.19-126.el6 will be updated
---> Package selinux-policy-targeted.noarch 0:3.7.19-279.el6_7.7 will be an update
---> Package setup.noarch 0:2.8.14-13.el6 will be updated
---> Package setup.noarch 0:2.8.14-20.el6_4.1 will be an update
---> Package shadow-utils.x86_64 2:4.1.4.2-13.el6 will be updated
---> Package shadow-utils.x86_64 2:4.1.4.2-19.el6_6.1 will be an update
---> Package sqlite.x86_64 0:3.6.20-1.el6 will be updated
---> Package sqlite.x86_64 0:3.6.20-1.el6_7.2 will be an update
---> Package sudo.x86_64 0:1.7.4p5-7.el6 will be updated
---> Package sudo.x86_64 0:1.8.6p3-20.el6_7 will be an update
---> Package system-config-firewall-base.noarch 0:1.2.27-5.el6 will be updated
---> Package system-config-firewall-base.noarch 0:1.2.27-7.2.el6_6 will be an update
---> Package sysvinit-tools.x86_64 0:2.87-4.dsf.el6 will be updated
---> Package sysvinit-tools.x86_64 0:2.87-6.dsf.el6 will be an update
---> Package tar.x86_64 2:1.23-3.el6 will be updated
---> Package tar.x86_64 2:1.23-13.el6 will be an update
---> Package time.x86_64 0:1.7-37.1.el6 will be updated
---> Package time.x86_64 0:1.7-38.el6 will be an update
---> Package tomcat6.x86_64 0:6.0.24-80.el6 will be updated
---> Package tomcat6.x86_64 0:6.0.24-90.el6 will be an update
---> Package tomcat6-el-2.1-api.x86_64 0:6.0.24-80.el6 will be updated
---> Package tomcat6-el-2.1-api.x86_64 0:6.0.24-90.el6 will be an update
---> Package tomcat6-jsp-2.1-api.x86_64 0:6.0.24-80.el6 will be updated
---> Package tomcat6-jsp-2.1-api.x86_64 0:6.0.24-90.el6 will be an update
---> Package tomcat6-lib.x86_64 0:6.0.24-80.el6 will be updated
---> Package tomcat6-lib.x86_64 0:6.0.24-90.el6 will be an update
---> Package tomcat6-servlet-2.5-api.x86_64 0:6.0.24-80.el6 will be updated
---> Package tomcat6-servlet-2.5-api.x86_64 0:6.0.24-90.el6 will be an update
---> Package tzdata.noarch 0:2011l-4.el6 will be updated
---> Package tzdata.noarch 0:2015g-2.el6 will be an update
---> Package tzdata-java.noarch 0:2014j-1.el6 will be updated
---> Package tzdata-java.noarch 0:2015g-2.el6 will be an update
---> Package udev.x86_64 0:147-2.40.el6 will be updated
---> Package udev.x86_64 0:147-2.63.el6 will be an update
---> Package upstart.x86_64 0:0.6.5-10.el6 will be updated
---> Package upstart.x86_64 0:0.6.5-13.el6_5.3 will be an update
---> Package util-linux-ng.x86_64 0:2.17.2-12.4.el6 will be updated
---> Package util-linux-ng.x86_64 0:2.17.2-12.18.el6 will be an update
---> Package vim-minimal.x86_64 2:7.2.411-1.6.el6 will be updated
---> Package vim-minimal.x86_64 2:7.4.629-5.el6 will be an update
---> Package xorg-x11-drv-ati-firmware.noarch 0:6.14.2-7.el6 will be updated
---> Package xorg-x11-drv-ati-firmware.noarch 0:7.5.99-3.el6 will be an update
---> Package xorg-x11-fonts-Type1.noarch 0:7.2-9.1.el6 will be updated
---> Package xorg-x11-fonts-Type1.noarch 0:7.2-11.el6 will be an update
---> Package yum.noarch 0:3.2.29-22.el6.centos will be updated
---> Package yum.noarch 0:3.2.29-69.el6.centos will be an update
---> Package yum-plugin-fastestmirror.noarch 0:1.1.30-10.el6 will be updated
---> Package yum-plugin-fastestmirror.noarch 0:1.1.30-30.el6 will be an update
---> Package zip.x86_64 0:3.0-1.el6 will be updated
---> Package zip.x86_64 0:3.0-1.el6_7.1 will be an update
--> Running transaction check
---> Package GConf2.x86_64 0:2.28.0-6.el6 will be installed
--> Processing Dependency: sgml-common for package: GConf2-2.28.0-6.el6.x86_64
--> Processing Dependency: libORBit-2.so.0()(64bit) for package: GConf2-2.28.0-6.el6.x86_64
---> Package libpciaccess.x86_64 0:0.13.3-0.1.el6 will be installed
---> Package nss-tools.x86_64 0:3.19.1-5.el6_7 will be installed
---> Package pcsc-lite-libs.x86_64 0:1.5.2-15.el6 will be installed
---> Package qpid-cpp-client.x86_64 0:0.12-6.el6 will be updated
--> Processing Dependency: libqpidclient.so.5()(64bit) for package: matahari-agent-lib-0.4.4-11.el6.x86_64
--> Processing Dependency: libqpidclient.so.5()(64bit) for package: matahari-network-0.4.4-11.el6.x86_64
--> Processing Dependency: libqpidclient.so.5()(64bit) for package: matahari-sysconfig-0.4.4-11.el6.x86_64
--> Processing Dependency: libqpidclient.so.5()(64bit) for package: matahari-service-0.4.4-11.el6.x86_64
--> Processing Dependency: libqpidclient.so.5()(64bit) for package: matahari-host-0.4.4-11.el6.x86_64
--> Processing Dependency: libqpidcommon.so.5()(64bit) for package: matahari-agent-lib-0.4.4-11.el6.x86_64
--> Processing Dependency: libqpidcommon.so.5()(64bit) for package: matahari-network-0.4.4-11.el6.x86_64
--> Processing Dependency: libqpidcommon.so.5()(64bit) for package: matahari-sysconfig-0.4.4-11.el6.x86_64
--> Processing Dependency: libqpidcommon.so.5()(64bit) for package: matahari-service-0.4.4-11.el6.x86_64
--> Processing Dependency: libqpidcommon.so.5()(64bit) for package: matahari-host-0.4.4-11.el6.x86_64
--> Running transaction check
---> Package ORBit2.x86_64 0:2.14.17-5.el6 will be installed
--> Processing Dependency: libIDL-2.so.0()(64bit) for package: ORBit2-2.14.17-5.el6.x86_64
---> Package qpid-cpp-client.x86_64 0:0.12-6.el6 will be updated
--> Processing Dependency: libqpidclient.so.5()(64bit) for package: matahari-agent-lib-0.4.4-11.el6.x86_64
--> Processing Dependency: libqpidclient.so.5()(64bit) for package: matahari-network-0.4.4-11.el6.x86_64
--> Processing Dependency: libqpidclient.so.5()(64bit) for package: matahari-sysconfig-0.4.4-11.el6.x86_64
--> Processing Dependency: libqpidclient.so.5()(64bit) for package: matahari-service-0.4.4-11.el6.x86_64
--> Processing Dependency: libqpidclient.so.5()(64bit) for package: matahari-host-0.4.4-11.el6.x86_64
--> Processing Dependency: libqpidcommon.so.5()(64bit) for package: matahari-agent-lib-0.4.4-11.el6.x86_64
--> Processing Dependency: libqpidcommon.so.5()(64bit) for package: matahari-network-0.4.4-11.el6.x86_64
--> Processing Dependency: libqpidcommon.so.5()(64bit) for package: matahari-sysconfig-0.4.4-11.el6.x86_64
--> Processing Dependency: libqpidcommon.so.5()(64bit) for package: matahari-service-0.4.4-11.el6.x86_64
--> Processing Dependency: libqpidcommon.so.5()(64bit) for package: matahari-host-0.4.4-11.el6.x86_64
---> Package sgml-common.noarch 0:0.6.3-33.el6 will be installed
--> Running transaction check
---> Package libIDL.x86_64 0:0.8.13-2.1.el6 will be installed
---> Package qpid-cpp-client.x86_64 0:0.12-6.el6 will be updated
--> Processing Dependency: libqpidclient.so.5()(64bit) for package: matahari-agent-lib-0.4.4-11.el6.x86_64
--> Processing Dependency: libqpidclient.so.5()(64bit) for package: matahari-network-0.4.4-11.el6.x86_64
--> Processing Dependency: libqpidclient.so.5()(64bit) for package: matahari-sysconfig-0.4.4-11.el6.x86_64
--> Processing Dependency: libqpidclient.so.5()(64bit) for package: matahari-service-0.4.4-11.el6.x86_64
--> Processing Dependency: libqpidclient.so.5()(64bit) for package: matahari-host-0.4.4-11.el6.x86_64
--> Processing Dependency: libqpidcommon.so.5()(64bit) for package: matahari-agent-lib-0.4.4-11.el6.x86_64
--> Processing Dependency: libqpidcommon.so.5()(64bit) for package: matahari-network-0.4.4-11.el6.x86_64
--> Processing Dependency: libqpidcommon.so.5()(64bit) for package: matahari-sysconfig-0.4.4-11.el6.x86_64
--> Processing Dependency: libqpidcommon.so.5()(64bit) for package: matahari-service-0.4.4-11.el6.x86_64
--> Processing Dependency: libqpidcommon.so.5()(64bit) for package: matahari-host-0.4.4-11.el6.x86_64
epel/filelists_db                                                                                                                                                                                                                           | 8.1 MB     00:15     
extras/filelists_db                                                                                                                                                                                                                         |  36 kB     00:00     
rpmforge/filelists_db                                                                                                                                                                                                                       | 2.3 MB     00:04     
updates/filelists_db                                                                                                                                                                                                                        | 2.1 MB     00:04     
virtualbox/filelists                                                                                                                                                                                                                        | 110 kB     00:00     
--> Finished Dependency Resolution
Error: Package: matahari-host-0.4.4-11.el6.x86_64 (@anaconda-CentOS-201112091719.x86_64/6.2)
           Requires: libqpidclient.so.5()(64bit)
           Removing: qpid-cpp-client-0.12-6.el6.x86_64 (@anaconda-CentOS-201112091719.x86_64/6.2)
               libqpidclient.so.5()(64bit)
           Updated By: qpid-cpp-client-0.14-22.el6_3.x86_64 (base)
               Not found
Error: Package: matahari-service-0.4.4-11.el6.x86_64 (@anaconda-CentOS-201112091719.x86_64/6.2)
           Requires: libqpidcommon.so.5()(64bit)
           Removing: qpid-cpp-client-0.12-6.el6.x86_64 (@anaconda-CentOS-201112091719.x86_64/6.2)
               libqpidcommon.so.5()(64bit)
           Updated By: qpid-cpp-client-0.14-22.el6_3.x86_64 (base)
               Not found
Error: Package: matahari-agent-lib-0.4.4-11.el6.x86_64 (@anaconda-CentOS-201112091719.x86_64/6.2)
           Requires: libqpidclient.so.5()(64bit)
           Removing: qpid-cpp-client-0.12-6.el6.x86_64 (@anaconda-CentOS-201112091719.x86_64/6.2)
               libqpidclient.so.5()(64bit)
           Updated By: qpid-cpp-client-0.14-22.el6_3.x86_64 (base)
               Not found
Error: Package: matahari-network-0.4.4-11.el6.x86_64 (@anaconda-CentOS-201112091719.x86_64/6.2)
           Requires: libqpidcommon.so.5()(64bit)
           Removing: qpid-cpp-client-0.12-6.el6.x86_64 (@anaconda-CentOS-201112091719.x86_64/6.2)
               libqpidcommon.so.5()(64bit)
           Updated By: qpid-cpp-client-0.14-22.el6_3.x86_64 (base)
               Not found
Error: Package: matahari-host-0.4.4-11.el6.x86_64 (@anaconda-CentOS-201112091719.x86_64/6.2)
           Requires: libqpidcommon.so.5()(64bit)
           Removing: qpid-cpp-client-0.12-6.el6.x86_64 (@anaconda-CentOS-201112091719.x86_64/6.2)
               libqpidcommon.so.5()(64bit)
           Updated By: qpid-cpp-client-0.14-22.el6_3.x86_64 (base)
               Not found
Error: Package: matahari-sysconfig-0.4.4-11.el6.x86_64 (@anaconda-CentOS-201112091719.x86_64/6.2)
           Requires: libqpidclient.so.5()(64bit)
           Removing: qpid-cpp-client-0.12-6.el6.x86_64 (@anaconda-CentOS-201112091719.x86_64/6.2)
               libqpidclient.so.5()(64bit)
           Updated By: qpid-cpp-client-0.14-22.el6_3.x86_64 (base)
               Not found
Error: Package: matahari-sysconfig-0.4.4-11.el6.x86_64 (@anaconda-CentOS-201112091719.x86_64/6.2)
           Requires: libqpidcommon.so.5()(64bit)
           Removing: qpid-cpp-client-0.12-6.el6.x86_64 (@anaconda-CentOS-201112091719.x86_64/6.2)
               libqpidcommon.so.5()(64bit)
           Updated By: qpid-cpp-client-0.14-22.el6_3.x86_64 (base)
               Not found
Error: Package: matahari-service-0.4.4-11.el6.x86_64 (@anaconda-CentOS-201112091719.x86_64/6.2)
           Requires: libqpidclient.so.5()(64bit)
           Removing: qpid-cpp-client-0.12-6.el6.x86_64 (@anaconda-CentOS-201112091719.x86_64/6.2)
               libqpidclient.so.5()(64bit)
           Updated By: qpid-cpp-client-0.14-22.el6_3.x86_64 (base)
               Not found
Error: Package: matahari-agent-lib-0.4.4-11.el6.x86_64 (@anaconda-CentOS-201112091719.x86_64/6.2)
           Requires: libqpidcommon.so.5()(64bit)
           Removing: qpid-cpp-client-0.12-6.el6.x86_64 (@anaconda-CentOS-201112091719.x86_64/6.2)
               libqpidcommon.so.5()(64bit)
           Updated By: qpid-cpp-client-0.14-22.el6_3.x86_64 (base)
               Not found
Error: Package: matahari-network-0.4.4-11.el6.x86_64 (@anaconda-CentOS-201112091719.x86_64/6.2)
           Requires: libqpidclient.so.5()(64bit)
           Removing: qpid-cpp-client-0.12-6.el6.x86_64 (@anaconda-CentOS-201112091719.x86_64/6.2)
               libqpidclient.so.5()(64bit)
           Updated By: qpid-cpp-client-0.14-22.el6_3.x86_64 (base)
               Not found
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest
To bude asi na dýl ... Vim o yum clean nebo clear, nebo jak se to jmenuje.. prostě znovunačtení aktuálních repozitářů apod. Tohle je mi jasný, tohle dogooglím. Ale jako popravdě nechci s tím systémem strávit 2 dny dáváním ho dohromady když jede a jediné co potřebuji je kernel headers v mé verzi běžícího jádra.
2.12.2015 23:02 NN
Rozbalit Rozbalit vše Re: CENTOS yum install kernel-headers nefunguje
Pro tvoje jadro mas uz kernel-headers instalovane:
ackage kernel-headers-2.6.32-573.8.1.el6.x86_64 already installed and latest version
Nebootujes ze starsiho? Jaky je vystup:
uname -r
rpm -q kernel
2.12.2015 23:17 Bill Gates
Rozbalit Rozbalit vše Re: CENTOS yum install kernel-headers nefunguje
uname -r
2.6.32-220.el6.x86_64

rpm -q kernel
kernel-2.6.32-220.el6.x86_64
Chci kernel headers pro to jádro, které běží. To znamená poběží i po rebootu (poslední byl před 107 dny). A to taky znamená, že pokud se mi to povede, tak se rebootu vyhnu.
2.12.2015 23:44 NN
Rozbalit Rozbalit vše Re: CENTOS yum install kernel-headers nefunguje
Odinstaluj ktere mas a nainastaluj, ktere potrebujes..
3.12.2015 08:33 Bill Gates
Rozbalit Rozbalit vše Re: CENTOS yum install kernel-headers nefunguje
yum remove kernel-headers
Loaded plugins: fastestmirror, priorities
Setting up Remove Process
Resolving Dependencies
--> Running transaction check
---> Package kernel-headers.x86_64 0:2.6.32-573.8.1.el6 will be erased
--> Processing Dependency: kernel-headers for package: glibc-headers-2.12-1.166.el6_7.3.x86_64
--> Processing Dependency: kernel-headers >= 2.2.1 for package: glibc-headers-2.12-1.166.el6_7.3.x86_64
--> Running transaction check
---> Package glibc-headers.x86_64 0:2.12-1.166.el6_7.3 will be erased
--> Processing Dependency: glibc-headers for package: glibc-devel-2.12-1.166.el6_7.3.x86_64
--> Processing Dependency: glibc-headers = 2.12-1.166.el6_7.3 for package: glibc-devel-2.12-1.166.el6_7.3.x86_64
--> Running transaction check
---> Package glibc-devel.x86_64 0:2.12-1.166.el6_7.3 will be erased
--> Processing Dependency: glibc-devel for package: 4:perl-devel-5.10.1-141.el6_7.1.x86_64
--> Processing Dependency: glibc-devel >= 2.2.90-12 for package: gcc-4.4.7-16.el6.x86_64
--> Running transaction check
---> Package gcc.x86_64 0:4.4.7-16.el6 will be erased
--> Processing Dependency: gcc for package: systemtap-devel-2.7-2.el6.x86_64
--> Processing Dependency: gcc for package: dkms-2.2.0.3-30.git.7c3e7c5.el6.noarch
--> Processing Dependency: gcc = 4.4.4 for package: libtool-2.2.6-15.5.el6.x86_64
--> Processing Dependency: gcc for package: systemtap-devel-2.7-2.el6.x86_64
--> Processing Dependency: gcc for package: dkms-2.2.0.3-30.git.7c3e7c5.el6.noarch
--> Processing Dependency: gcc = 4.4.7-16.el6 for package: gcc-gfortran-4.4.7-16.el6.x86_64
--> Processing Dependency: gcc = 4.4.7-16.el6 for package: gcc-c++-4.4.7-16.el6.x86_64
---> Package perl-devel.x86_64 4:5.10.1-141.el6_7.1 will be erased
--> Processing Dependency: perl-devel for package: perl-ExtUtils-MakeMaker-6.55-141.el6_7.1.x86_64
--> Processing Dependency: perl-devel for package: perl-Test-Harness-3.17-141.el6_7.1.x86_64
--> Processing Dependency: perl-devel for package: 1:perl-ExtUtils-ParseXS-2.2003.0-141.el6_7.1.x86_64
--> Processing Dependency: perl-devel for package: perl-Test-Simple-0.92-141.el6_7.1.x86_64
--> Running transaction check
---> Package dkms.noarch 0:2.2.0.3-30.git.7c3e7c5.el6 will be erased
---> Package gcc-c++.x86_64 0:4.4.7-16.el6 will be erased
---> Package gcc-gfortran.x86_64 0:4.4.7-16.el6 will be erased
---> Package libtool.x86_64 0:2.2.6-15.5.el6 will be erased
---> Package perl-ExtUtils-MakeMaker.x86_64 0:6.55-141.el6_7.1 will be erased
--> Processing Dependency: perl-ExtUtils-MakeMaker for package: redhat-lsb-core-4.0-7.el6.centos.x86_64
---> Package perl-ExtUtils-ParseXS.x86_64 1:2.2003.0-141.el6_7.1 will be erased
---> Package perl-Test-Harness.x86_64 0:3.17-141.el6_7.1 will be erased
---> Package perl-Test-Simple.x86_64 0:0.92-141.el6_7.1 will be erased
---> Package systemtap-devel.x86_64 0:2.7-2.el6 will be erased
--> Processing Dependency: systemtap-devel = 2.7-2.el6 for package: systemtap-2.7-2.el6.x86_64
--> Running transaction check
---> Package redhat-lsb-core.x86_64 0:4.0-7.el6.centos will be erased
---> Package systemtap.x86_64 0:2.7-2.el6 will be erased
--> Processing Dependency: /lib/lsb/init-functions for package: tomcat6-6.0.24-80.el6.x86_64
--> Restarting Dependency Resolution with new changes.
--> Running transaction check
---> Package tomcat6.x86_64 0:6.0.24-80.el6 will be erased
--> Finished Dependency Resolution
base                                                                                                                                                                                                                                        | 3.7 kB     00:00     
epel/metalink                                                                                                                                                                                                                               |  27 kB     00:00     
epel                                                                                                                                                                                                                                        | 4.3 kB     00:00     
extras                                                                                                                                                                                                                                      | 3.4 kB     00:00     
rpmforge                                                                                                                                                                                                                                    | 1.9 kB     00:00     
updates                                                                                                                                                                                                                                     | 3.4 kB     00:00     
virtualbox/signature                                                                                                                                                                                                                        |  198 B     00:00     
virtualbox/signature                                                                                                                                                                                                                        |  951 B     00:00 ... 

Dependencies Resolved

===================================================================================================================================================================================================================================================================
 Package                                                               Arch                                                 Version                                                                   Repository                                              Size
===================================================================================================================================================================================================================================================================
Removing:
 kernel-headers                                                        x86_64                                               2.6.32-573.8.1.el6                                                        @updates                                               2.6 M
Removing for dependencies:
 dkms                                                                  noarch                                               2.2.0.3-30.git.7c3e7c5.el6                                                @epel                                                  222 k
 gcc                                                                   x86_64                                               4.4.7-16.el6                                                              @base                                                   19 M
 gcc-c++                                                               x86_64                                               4.4.7-16.el6                                                              @base                                                   11 M
 gcc-gfortran                                                          x86_64                                               4.4.7-16.el6                                                              @base                                                   14 M
 glibc-devel                                                           x86_64                                               2.12-1.166.el6_7.3                                                        @updates                                               967 k
 glibc-headers                                                         x86_64                                               2.12-1.166.el6_7.3                                                        @updates                                               2.0 M
 libtool                                                               x86_64                                               2.2.6-15.5.el6                                                            @base                                                  1.9 M
 perl-ExtUtils-MakeMaker                                               x86_64                                               6.55-141.el6_7.1                                                          @updates                                               608 k
 perl-ExtUtils-ParseXS                                                 x86_64                                               1:2.2003.0-141.el6_7.1                                                    @updates                                                61 k
 perl-Test-Harness                                                     x86_64                                               3.17-141.el6_7.1                                                          @updates                                               399 k
 perl-Test-Simple                                                      x86_64                                               0.92-141.el6_7.1                                                          @updates                                               184 k
 perl-devel                                                            x86_64                                               4:5.10.1-141.el6_7.1                                                      @updates                                               1.8 M
 redhat-lsb-core                                                       x86_64                                               4.0-7.el6.centos                                                          @base                                                   22 k
 systemtap                                                             x86_64                                               2.7-2.el6                                                                 @base                                                   44 k
 systemtap-devel                                                       x86_64                                               2.7-2.el6                                                                 @base                                                  5.7 M
 tomcat6                                                               x86_64                                               6.0.24-80.el6                                                             @base                                                  188 k

Transaction Summary
===================================================================================================================================================================================================================================================================
Remove       17 Package(s)

Installed size: 60 M
Is this ok [y/N]:
Tomcat6 nemůžu odstranit. Je to produkční stroj. Co má tomcat6 pro pána jána společného s kernel-headers? To si kluci v RedHatu dělají srandu asi.
3.12.2015 10:07 Zdenek 'Mst. Spider' Sedlak | skóre: 37 | blog: xMstSpider
Rozbalit Rozbalit vše Re: CENTOS yum install kernel-headers nefunguje
yum downgrade kernel-headers
3.12.2015 10:15 Bill Gates
Rozbalit Rozbalit vše Re: CENTOS yum install kernel-headers nefunguje
yum downgrade kernel-headers
Loaded plugins: fastestmirror, priorities
Setting up Downgrade Process
Loading mirror speeds from cached hostfile
 * base: merlin.fit.vutbr.cz
 * epel: mirrors.n-ix.net
 * extras: merlin.fit.vutbr.cz
 * rpmforge: merlin.fit.vutbr.cz
 * updates: merlin.fit.vutbr.cz
Resolving Dependencies
--> Running transaction check
---> Package kernel-headers.x86_64 0:2.6.32-573.7.1.el6 will be a downgrade
---> Package kernel-headers.x86_64 0:2.6.32-573.8.1.el6 will be erased
--> Finished Dependency Resolution

Dependencies Resolved

===================================================================================================================================================================================================================================================================
 Package                                                          Arch                                                     Version                                                                 Repository                                                 Size
===================================================================================================================================================================================================================================================================
Downgrading:
 kernel-headers                                                   x86_64                                                   2.6.32-573.7.1.el6                                                      updates                                                   3.9 M

Transaction Summary
===================================================================================================================================================================================================================================================================
Downgrade     1 Package(s)

Total download size: 3.9 M
Is this ok [y/N]:
Co se tedy stane? Dostanu se na 2.6.32-573.7.1.el6 ? Pořád je tam ale ta řada 573.
michich avatar 3.12.2015 12:23 michich | skóre: 50 | blog: ohrivane_parky
Rozbalit Rozbalit vše Re: CENTOS yum install kernel-headers nefunguje
Takhle ti to udělá downgrade o jeden krůček. Můžeš ale specifikovat konkrétní verzi, na kterou chceš downgradovat: yum downgrade kernel-headers-2.6.32-220.el6
michich avatar 3.12.2015 12:32 michich | skóre: 50 | blog: ohrivane_parky
Rozbalit Rozbalit vše Re: CENTOS yum install kernel-headers nefunguje
A pokud snad tu verzi yum nevidí, tak je to o tom, která repa máš zapnutá.

Provozovat dnes kernel odpovídající RHEL 6.2 GA není dobrý nápad. Ani instalovat RPMka ze Scientific Linuxu na CentOS.
3.12.2015 10:51 dvdmchl
Rozbalit Rozbalit vše Re: CENTOS yum install kernel-headers nefunguje
Hele, vzdyt kernel headers je jen jeden adresar. Proste stahni archiv, rozbal to nekam rucne a udelej link v adresari kam si saha ten virtualbox.
3.12.2015 15:13 Bill Gates
Rozbalit Rozbalit vše Re: CENTOS yum install kernel-headers nefunguje
Jasně že bych to udělal nejradši. Už jsem i nad tím uvažoval. Otázka jestli to bude fakčit. A jestli toho nebude milión kdesi chybět. Vůbec nechápu proč se z RPMka prostě nevytvoří adresář bokem pojmenovaný podle verze a není možné mít více verzí vedle sebe. Proč to je takhle hloupě udělané, že to je v jednom adresáři a řve to konflikty, to mě teda nedochází.
3.12.2015 21:34 dvdmchl
Rozbalit Rozbalit vše Re: CENTOS yum install kernel-headers nefunguje
No melo by to fachcit. Ten virtualbox si vlastne jenom chce zkompilovat ovladace na sitovku a vlozit je do jadra. A potrebuje k tomu headers. Takze jestli zbytek jako gcc jsou v systemu ok, tak by fakt melo stacit jen nekam stahnout kernel headers pro tvuj kernel a rozbalit. A virtualboxu se da koneckoncu i rict kde je ma hledat. Takze bych se na balickovaci yum zvysoka vykaslal a udelal bych to rucne.

Založit nové vláknoNahoru

Tiskni Sdílej: Linkuj Jaggni to Vybrali.sme.sk Google Del.icio.us Facebook

ISSN 1214-1267   www.czech-server.cz
© 1999-2015 Nitemedia s. r. o. Všechna práva vyhrazena.